/*
simple menu
```
<ul class="simple-menu">
<li><a href="javascript:;">Test</a></li>
</ul>
```
*/
.simple-menu{
	padding: 0;
	margin: 20px 0 0 0;
}


.simple-menu li{
	padding: 10px;
	list-style: none;
	height: 36px;
	display: inline-block;
	float: left;
	min-width: 70px;
	text-align: center;
	/*border-right: 2px solid #ccc;*/
	vertical-align: middle;
}
.simple-menu li:first-child{
	text-align: left;
	min-width: 65px;
}
.simple-menu li:last-child{
	border: none;
}
.simple-menu li a{
	color:#000000;
	font-size: 15px;
}

.simple-menu li a:hover{
	text-decoration: none;
	color: #F89500;
}


/*
data-inbox-table
```

<div class="data-inbox-table-controls">
	 <div class="data-inbox-table-controls__checkbox">
	   <input type="checkbox">
	 </div>
	<div class="btn-group">
		<a href="javascript:;" class="btn"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> </a>
		<a href="javascript:;" class="btn"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> </a>
		<a href="javascript:;" class="btn"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> </a>
		<a href="javascript:;" class="btn"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> </a>
		<a href="javascript:;" class="btn"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> </a>
		<a href="javascript:;" class="btn"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> </a>
	</div>
</div>
<div class="data-inbox-table__container">
<table class="data-inbox-table">
<tr>
	<td><input type="checkbox"><td>
	<td><p class="data-inbox-table__name">Jan Andre</p><td>
	<td><p class="data-inbox-table__excerpt">subject name <span>Lorem ipsum dolor sit amet, consectetur adipisicing.</span></p><td>
	<td><p class="data-inbox-table__date">May 1</p><td>
</tr>
<tr>
	<td><input type="checkbox"><td>
	<td><p class="data-inbox-table__name">Karin</p><td>
	<td><p class="data-inbox-table__excerpt">subject name <span>Lorem ipsum dolor sit amet, consectetur adipisicing.</span></p><td>
	<td><p class="data-inbox-table__date">May 1</p><td>
</tr>

</table>
</div>

```
*/

.data-inbox-table__date{
	float: right;
    margin-right: 10px !important;	
}
.data-inbox-table__excerpt{
	display: inline-block;
	/*width: 50%;*/
	color:#333;
	font-size: 14px;
}
@media(max-width: 830px){
	.data-inbox-table__excerpt{
		overflow: hidden;
	}
}
.data-inbox-table-controls{
    background: #fbfbfb;
    padding: 0;
    border: 2px solid #bcbcbc;
    border-radius: 8px;
    margin: 0 0 10px 0;
    position:relative;
}

.data-inbox-table-controls .btn-group .fa,
.data-inbox-table-controls .btn-group .glyphicon,
.data-inbox-table-controls .btn-group .icon{
	font-size: 20px;
	vertical-align: bottom;
	margin-right: 5px;
}


.data-inbox-table-controls__checkbox{
	display: inline-block;
	margin: 3px 22px 0 15px;
    position: absolute;
    top:16px;
}

.data-inbox-table-controls__checkbox input[type=checkbox]{
	  position: absolute;
    top: -13px;
}

  
.data-inbox-table__container{
	border: 2px solid #bcbcbc;
	min-height: 380px;

	-webkit-border-bottom-right-radius: 6px;
	-webkit-border-bottom-left-radius: 6px;
	-moz-border-radius-bottomright: 6px;
	-moz-border-radius-bottomleft: 6px;
	border-bottom-right-radius: 6px;
	border-bottom-left-radius: 6px;
}



.data-inbox-table{
  width: 100%;
  background: #ffffff;
  padding: 0 10px;
}
.data-inbox-table tr{
	width: 100%;
	/*height: 37px;*/
	border-bottom: 2px solid #bcbcbc;
	/*height: 33px;*/
	overflow: auto;
	padding:0;
}
.data-inbox-table tr td p{
	  margin: 0;
	  padding: 0;
	  font-size:14px;
	  
}


/* .data-inbox-table tr td p span:before{
	  content: "- "
} */
.data-inbox-table tr td p span{
	  color:#000000;
	  margin-left: 10px;
}
.data-inbox-table tr td{
	/*padding: 5px 12px 5px 12px;*/
	padding:0;
}

.message-block-div{
padding: 3px 0 3px 15px;
    margin: -1px 0;
}

.mailbox_name{
	margin-right: 10px;
	margin-left: 10px;
	/*width:37%;*/
	/*word-wrap:break-word;*/
	display:inline-block;
	color:#333;
	font-size: 14px;
	/*vertical-align: super;*/
	/*overflow: hidden;*/
}

@media(max-width: 830px){
	.mailbox_name{
		/*word-wrap:break-word;*/
		
	}
}

@media(max-width: 991px){
	.blockUI.blockOverlay{
		background: #000 !important;
	}
}

/*
news-item-listing
```
<div class="news-item-listing">
 <h1 class="news-item__title">consectetur adipisicing elit</h1>
 <p class="news-item__content">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Corporis accusamus consectetur nostrum, enim sit necessitatibus saepe molestias similique distinctio natus.</p>
</div>
```
*/

.news-item-listing:hover{
	background:#F2EEEE;
}
.news-item-listing{
	border: 1px solid #bcbcbc;
	border-bottom: 2px solid #bcbcbc;
	margin-top: 10px;
	margin-bottom: 15px;
	background: #ffffff;
  	padding: 13px 15px;
  	position:relative;a
}

.carousel-news-listing{
padding: 10px 20px 17px 20px;
}

.newslisting-tab-pane{
	background: #f1f1f1;
	border: 1px solid #bcbcbc;
	border-top: none;
	/*margin-bottom: 45px;*/

}

.nav-tabs li a span.online-list__status{
	margin-left:17px;
	margin-top:5px;
	width:10px;
	height:10px
}

.newslisting-nav-tabs.nav-tabs>li{
	margin-right: 5px;
}
.newslisting-nav-tabs.nav-tabs>li a{
	background: #f8f8f8;
	border: 1px solid #bcbcbc;
	color: #000000;
}
.newslisting-nav-tabs .active a{
		background: none;
}

.newslisting-nav-tabs.nav-tabs>li.active{
	background: #f1f1f1;
	border: 1px solid #bcbcbc;
	border-bottom: 1px solid #f1f1f1;
	/*margin-bottom: -1px;*/
	-webkit-border-top-left-radius: 5px;
	-webkit-border-top-right-radius: 5px;
	-moz-border-radius-topleft: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

.newslisting-nav-tabs.nav-tabs>li.active>a, 
.newslisting-nav-tabs.nav-tabs>li.active>a:focus, 
.newslisting-nav-tabs.nav-tabs>li.active>a:hover {
  color: #555;
  cursor: default;
  background-color: transparent;
  border: none;
  border-bottom-color: transparent;
}
.newslisting-nav-tabs.nav-tabs {
  border-bottom: 1px solid #bcbcbc;
}

/*
News Item Listing Menu
```
<div class="news-item-listing-menu news-item-listing-menu--4">
  <a href="" class="current">world news <img src="assets/images/graph.png"></a>
  <a href="">markets <img src="assets/images/graph.png"></a>
  <a href="">business <img src="assets/images/graph.png"></a>
  <a href="">sports <img src="assets/images/graph.png"></a>
</div>
```
*/

.news-item-listing-menu a{
  display: inline-block;
  text-align: center;
  color: #fff;
  text-transform: capitalize;
  background-color: #4c8fbc;
  padding: 6px 4px;
  position: relative;
}

.news-item-listing-menu a img{
  position: absolute;
  right: 0;
  width: 39px;
  top: 0;
  height: 34px;
}

.news-item-listing-menu a:hover,
.news-item-listing-menu a.current{
  background-color: #1a6892;
  text-decoration: none;
}


.news-item-listing-menu.news-item-listing-menu--4 a{
	width: 24.65%;
}
.news-item-listing-menu.news-item-listing-menu--3 a{
	width: 33.33%;
}
.news-item-listing-menu.news-item-listing-menu--2 a{
	width: 50%;
}

/*
ACCORDION FOR FREQUENTLY ASKED QUESTIONS
*/

.faq-container{
	padding: 10px 20px;
}

.faq-accordion{

}
.accordion-panel__body-head{
}
.accordion-panel__body-head a{
	display:block;
	padding: 12px 21px;
	background: rgb(242,246,248); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(242,246,248,1) 0%, rgba(242,242,242,1) 59%, rgba(231,231,231,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(242,246,248,1)), color-stop(59%,rgba(242,242,242,1)), color-stop(100%,rgba(231,231,231,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(242,246,248,1) 0%,rgba(242,242,242,1) 59%,rgba(231,231,231,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(242,246,248,1) 0%,rgba(242,242,242,1) 59%,rgba(231,231,231,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(242,246,248,1) 0%,rgba(242,242,242,1) 59%,rgba(231,231,231,1) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(242,246,248,1) 0%,rgba(242,242,242,1) 59%,rgba(231,231,231,1) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f2f6f8', endColorstr='#e7e7e7',GradientType=0 ); /* IE6-9 */
    border: 1px solid #ccc;
-webkit-border-radius: 10px;
-moz-border-radius: 10px;
border-radius: 10px;
}

.accordion-panel__body-head a .fa{
 float:right;
}

.accordion-panel__body{
	margin-bottom: 15px;

}

.accordion-panel__body-content{
	padding:20px;
	background: #fff;
	-webkit-border-bottom-right-radius: 10px;
	-webkit-border-bottom-left-radius: 10px;
	-moz-border-radius-bottomright: 10px;
	-moz-border-radius-bottomleft: 10px;
	border-bottom-right-radius: 10px;
	border-bottom-left-radius: 10px;
	    border: 1px solid #ccc;
}
/*online list*/
/*
```
<ul class="online-list">
	<li>
		<span class="online-list__name"></span>
		<span class="online-list__status online"></span>
	</li>
	<li>
		<span class="online-list__name"></span>
		<span class="online-list__status offline"></span>
	</li>
</ul>
```
*/
.chat-header{
	background: rgb(254,254,254); /* Old browsers */
	border-bottom: 1px solid #C4C4C4;
	background: none;
	border: none;
	margin-bottom: 20px;
	height: 50px;
}
.chat-header__link{
	display: inline-block;
}

.chat-header__logo{
    display: inline-block;
    position: absolute;
    right: 45px;
    top: 34px;
}

.chat-header__link{
  float: right;
  font-size: 26px;
  padding: 10px;
}



.online-list{
  margin: 0;
  padding: 0;
  height: 362px;
  overflow-y: scroll;
  overflow-x: hidden;
}

.online-list li{
	display: block;
	width: 100%;
	border:1px solid #C1D1D9;
	border-left: none;
	border-right: none;
}

.online-list.offline > li,
.online-list.Offline > li {
	display:none;
}
.online-list li:hover,
.online-list li.current{
	background: #e7f3f7;
	border-top: 1px solid #84b5d1;
	border-bottom: 1px solid #84b5d1;
}

.online-list li a{
    color: #333;
    font-weight: bold;
    font-size: 13px;
    padding: 15px 20px 15px 17px;
    display: inline-block;
    width: 100%;
}

.online-list__status{
	display: inline-block;
	width: 15px;
	height:15px;
	border-radius: 50px;
	border:1px solid #CCCCCC;
	background: #CCCCCC;
	float: right;
	/*margin-right: 25px;*/
	position: absolute;
    right: 4px;
    top: 18px;
}

.online-list__status.online,
.online-list__status.Online{
	border:1px solid #71CC36;
	background: #71CC36;
}


/*
```
<ul class="message-list">
  <!-- reply from user -->
  <li class="message-list__reply">
    <a href="">
      <span class="message-list__date">Mon 10:55 Am</span>,
      <span class="message-list__name">johndoe1</span>
      <p class="message-list__message">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugiat laboriosam esse rem ut, velit dolores accusamus, voluptatem possimus temporibus earum enim autem impedit.</p>
     </a>
  </li>
  <!-- reply from user -->      
  <li class="message-list__reply">
    <a href="">
      <span class="message-list__date">Mon 10:55 Am</span>,
      <span class="message-list__name">johndoe1</span>
      <p class="message-list__message">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugiat laboriosam esse rem ut, velit dolores accusamus, voluptatem possimus temporibus earum enim autem impedit.</p>
     </a>
  </li> 
  <!-- sent by user-->
  <li>
    <a href="">
      <span class="message-list__date">Mon 10:55 Am</span>,
      <span class="message-list__name">johndoe1</span>
      <p class="message-list__message">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugiat laboriosam esse rem ut, velit dolores accusamus, voluptatem possimus temporibus earum enim autem impedit.</p>
     </a>
  </li> 
</ul>
<!-- clear float -->
<div class="clearfix"></div>

<div class="chat-textarea">
    <textarea placeholder="type messge here" class="chat-textarea__textarea"></textarea>
    <a href="" class="chat-textarea__send"><i class="fa fa-paper-plane"></i></a>
</div>
```
*/
.message-list-container{
  max-height: 520px;
  height: 275px;
  overflow-y: auto;
  overflow-x: hidden;
  padding: 0 0 10px 0;
  background: #ffffff;
}
.message-list{
	margin:0;
	padding: 0;
}

.message-list li{
	display: block;
  list-style: none;
  margin: 20px 0 0 0;
  max-width: 90%;
  min-width: 45%;
  background: #7bc7ff;
  position: relative;
  /*border: 1px solid #A1C8DB;*/
  padding: 13px 18px 13px 16px;
  float: left;
  border-radius: 10px;
  margin-left: 3px;
  color:#000;
}

.message-list li a{
	font-weight: bold;
	color:#4F4E4A;
}
.message-list li a:hover{
	text-decoration: none;
}


.message-list li.message-list__reply{
	float: right;
}


.message-list li.message-list__reply {
	position: relative;
	background: #CCC;
	color:#000;
	


	/*border-radius: 0;
	-webkit-border-top-left-radius: 17px;
-webkit-border-bottom-left-radius: 17px;
-moz-border-radius-topleft: 17px;
-moz-border-radius-bottomleft: 17px;
border-top-left-radius: 17px;
border-bottom-left-radius: 17px;*/
margin-right: 2px;
}
.message-list li.message-list__reply a{
	color: #000;
}

.message-list__message{
	margin-top: 4px;
	margin: 0;
	color:#000;
	word-wrap: break-word;
	font-size: 14px;
	font-weight:normal;
}

.tab-close{
    color: #666 !important;
    vertical-align: baseline;
    margin-right: 0px;
    position: absolute;
    top: 3px;
    font-size: 12px;
    right: 1px;
}
.message-icon-show{
	display:inline-block;
	position:absolute;
	right:41px;
	top:15px;
}

/*The bubbly arrow pointer*/
/*

.message-list li:after, .message-list li:before {
	bottom: 100%;
	right: 15%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}

.message-list li:after {
	border-color: rgba(182, 225, 224, 0);
	border-bottom-color: #B6E1E0;
	border-width: 16px;
	margin-left: -16px;
}
.message-list li:before {
	border-color: rgba(161, 200, 219, 0);
	border-bottom-color: #A1C8DB;
	border-width: 17px;
	margin-left: -17px;
}
.message-list li.message-list__reply:after, 
.message-list li.message-list__reply:before {
	top: 100%;
	left: 15%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}

.message-list li.message-list__reply:after {
	border-color: rgba(194, 192, 180, 0);
	border-top-color: #C2C0B4;
	border-width: 16px;
	margin-left: -16px;
}
.message-list li.message-list__reply:before {
	border-color: rgba(161, 200, 219, 0);
	border-top-color: #A1C8DB;
	border-width: 17px;
	margin-left: -17px;
}
*/

.chat-textarea{
/*	bottom: 0;
	left: 0;*/
	height: 100px;
	width: 100%;
	border-top: 2px solid #ccc;
	border: none;
	border-top: 1px solid #bcbcbc;

}

.chat-textarea__textarea{
  width: 100%;
  height: 100px;
  padding: 10px 100px 0 10px;
  border: none;
  	border-bottom: 1px solid #bcbcbc;
}

.chat-textarea__send{
    position: absolute;
    bottom: 33px;
    right: 24px;
    font-size: 26px;
}

/*
	Contact details
*/


.contact-details-container{
	background: #ffffff;
	height: 330px;
	max-height: 330px;
	overflow-y:auto;
	border: 1px solid #bcbcbc;
}
.contact-details-list{
	margin:0;
	padding: 0;
}

.contact-details-list li{
	position: relative;
	display: block;
	width: 100%;
	list-style: none;
	list-style-type: none;
	border-bottom: 1px solid #BCBCBC;
	padding: 14px 0 0 20px;
}
.contact-details-list li:hover,
.contact-details-list li.current,
.contact-details-list li.active{
	background: #e7f3f7;
	pointer:cursor;
}
.contact-details-list__checkbox-container{
	display: inline-block;
	float:left;
	margin-right: 15px;
	margin-top:8px;
}
.contact-details-list__details{
	display: inline-block;
	float:left;
}

.contact-details-list__details:hover{
	cursor: pointer;
}

.contact-details-list__details dt,
.contact-details-list__details dd{
	margin: 0;
}

.contact-details-list__details dt{
	font-size: 14px;
	color: #333333;
}
.contact-details-list__details dd{
	font-size: 15px;
	line-height: 16px;
	color:#999999;
}

.contact-details-list__edit-icon{
	position: absolute;
	display: inline-block;
	top:25px;
	right: 30px;
	font-size: 13px;
	color: #1A6892;
}
.contact-details-list__edit-icon a{
	display: block;
}
.contact-details-list__edit-icon:hover{
	text-decoration: underline !important;
}
/*
unread-messages
```
<ul class="unread-messages">
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">Margot87</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
  <li>
    <span class="unread-messages__count">(32)</span>
    <span class="unread-messages__title">lorem ipsum</span>
  </li>
</ul>
```
*/

.unread-messages{
	padding:0;
	margin:0;
}

.unread-messages li{
	display:inline-block;
	width:25%;
	margin-bottom: 7px;
}

.unread-messages__count{
	color:#296f96;
	display:inline-block;
	width: 29px;
}
.unread-messages__title{
	color:#333333;
	font-weight:bold; 
}

/*MENU LOGIN MAIN MENU*/
.menu-panel{
	    margin-bottom: 30px;
}
.menu-panel__menu{
	margin: 0;
	padding: 0;
	text-align: center;
}



.menu-panel__menu li{
  display: inline-block;
  float: left;
  /* border-top: 25px solid #f00; */
  margin: 0 0 25px 2.1%;
  width: 30%;
  text-align: center;
  /*position: relative;*/
  height: 140px;
}

.menu-panel__menu.menu-panel--four li{
	width: 25%;
	margin: 0;
	margin-bottom: 20px;	
}

.menu-panel__label{
    position: absolute;
    bottom: -28px;
    left: 0;
    text-align: center;
    width: 100%;
 }

.menu-panel__menu.menu-panel--three li{
	    width: 23.333%;
}
.menu-panel__menu.menu-panel--three li a{
    /*width: 70.65%;*/
    margin-left: 64%;
}

.menu-panel__menu.menu-panel--two li{
width: 25%;
    margin: 0;
}
.menu-panel__menu.menu-panel--two li a{
/*width: 65%;*/
    margin-left: 121%;
}
}
.menu-panel__menu li.block{
  /* border-top: 25px solid #f00; */
  margin: 0 0 25px 2.1%;
  width: 100%;
}

.menu-panel__menu-link{
	position: relative;
	color:#fff;
	display: block;
	height: 130px;
	width: 90%;
	border:1px solid #5595BF;
	background: #5595BF;
	/*min-width: 100%;*/
	margin:0 auto 15px auto;

	-webkit-border-radius: 12px;
	-moz-border-radius: 12px;
	border-radius: 12px;
	box-shadow: 5px 5px 1px #346585;
}

.menu-panel__menu-link img{
	width: 50px;
}

.link-emailsms img{
margin: 33% auto 0 4%;
  display: inline-block;
}
.link-emailsms:hover{
  background: #337ab7;
  background-size: 60px;
}

.link-chat img{
    margin: 28% auto 0 1%;
   display: inline-block;
}
.link-chat:hover{
  background: #337ab7 url('<?php echo $GLOBALS["linkPath"]?>/chat-001.png') 47% 40%  no-repeat;
  background-size:60px;
}

.link-internet img{
    margin: 30% auto 0 4%;
   display: inline-block;
}
.link-internet:hover{
	background: #337ab7 url('<?php echo $GLOBALS["linkPath"]?>/internet-001.png') 50% 44% no-repeat;
   background-size: 60px;
}

.link-seenow img{
    margin: 30% auto 0 1%;
   display: inline-block;
}
.link-seenow:hover{
	  background: #337ab7 url('<?php echo $GLOBALS["linkPath"]?>/semenow-001.png') 47% 40%  no-repeat;
	  background-size:60px;
}
.link-worldnews img{
    margin: 30% auto 0 0;
   display: inline-block;
}
.link-worldnews:hover{
	  background: #337ab7 url('<?php echo $GLOBALS["linkPath"]?>/news-001.png') 47% 40%  no-repeat;
	  background-size:60px;
}
.link-announce img{
    margin: 29% auto 0 4%;
	display: inline-block;
}
.link-announce:hover{
	  background: #337ab7 url('<?php echo $GLOBALS["linkPath"]?>/announcements-001.png') 47% 40% no-repeat;
	  background-size:60px;
}
.link-vessel img{
    margin: 30% auto 0 4%;
   display: inline-block;
}
.link-vessel:hover{
	 background: #337ab7;
}
.link-logout img{
    margin: 27% auto 0 0;
   display: inline-block;
}
.link-logout:hover{
	 background: #337ab7;
	 background-size:60px;
}

.link-controlpanel img{
    margin: 27% auto 0 4%;
   display: inline-block;
}
.link-controlpanel:hover{
 	background: #337ab7;
	background-size:60px;
}

.menu-panel__menu-link:hover{
	color: #fff;
}
.menu-panel__menu-label{
	color:#fff;
	text-align: center;
}

@media (max-width: 500px) {
	.menu-panel__menu-link{
		height: 90px;
		width: 100%;
	}
	.menu-panel__label {
	    position: absolute;
	    bottom: -46px;
	    left: 0;
	    text-align: center;
	    width: 100%;
	    word-wrap: break-word;
	}
}

@media (min-width: 700px) {
	.menu-panel__menu-link{
		height: 119px;
		width: 121.875px;
	}
}
@media (min-width: 1000px) {
	.menu-panel__menu-link{
		height: 114px;
		width: 121.875px;
	}
}

.email_input_form_contacts-add-user {
    /* visibility: hidden; */
    position: absolute;
    top: 0px;
    right: 0;
    font-size: 15px !important;
    border-radius: 0;
    padding: 5px;
    /* min-height: 80px !important; */
}

.data-inbox-table tr:hover td{
	background: #F0EAEA;
}

.data-inbox-table tr.selected td{
	background: #F0EAEA;
}

.second-layer{
	margin:0 0 0 13% !important;
}
.third-layer{
	margin:0 0 0 25% !important;
}
@media (max-width: 991px){
	.menu-panel__menu li a{
		height: 100px;
	}
}

@media (max-width: 500px){
	.second-layer{
		margin:0 0 0 0 !important;
	}
	.third-layer{
		margin:0 0 0 0 !important;
	}

	.menu-panel__menu li{
		width: 33.33% !important;
	}
}


.cntrymenu div.cntryitm:hover,
#submenuul div.submenuitm:hover {
	cursor: pointer;
}