#!/usr/bin/php-cgi
<?php
  include("topinsert.php");
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title><?php echo $dTitle; ?></title>

    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/fontawesome/css/font-awesome.min.css" rel="stylesheet">
    <?php include $GLOBALS['assetsPath'].'css/style.php';?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/modernzr.custom.js"></script>
    <?php include $GLOBALS['assetsPath'].'css/menu.php';?>
    
    <?php include "../m/funcjs.php"; ?>  
  </head>
  <body>
    <!-- start counters-->
    <div class="container no-pad-all">
    <?php include 'counter.php';?>    
    </div>
    <!-- end counters -->

  
    <div class="container no-pad-all container-main">
        <!-- The Header Part -->
        <div class="row-fluid hidden-xs hidden-sm">
          <div class="header-main col-md-12 col-md-12"></div>
        </div><!--End The Header Part -->

        <div class="row-fluid">
              <div class="container-main col-md-12 col-md-12">
                <!--Start THe Sidebar -->
                <?php include 'sidebar.php';?>
                <!--End THe Sidebar -->

                <!-- THe Content -->
                <div id="main-content" class="the-content col-md-9 col-lg-9 col-sm-9 content col-xs-9">
                  <!-- right side -->
                  <div class="main-content">
                    <!-- content here starts -->

                      <!-- control box template -->
                      <?php include 'tmpl_emailsms_controlbox.php';?>
                      <!-- control box template -->

                      <div class="panel panel-dark addressbook-container-unit">
                        <div class="panel-body panel-main-content">
                            
                            <div class="row-fluid">
                              <div class="reply-controls reply-controls--fullwidth" style="padding-left: 19px;">
                                <div class="reply-controls__checkbox">
                                  <input type="checkbox" id="selectall" name="selectall" class="checkbox-for-message mailboxCheckBox-selector" />
                                  <label for="selectall"><span></span></label>
                                </div>
                                <div class="reply-controls_group four titled" >
                                  <a href="javascript:;" onclick="addressbook.deleteAll();return false;"class="btn"><i class="fa fa-trash"></i> Delete Contact</a>
                                  <a href="javascript:;" onclick="addressbook.new();return false;" class="btn"><i class="fa fa-plus-circle"></i> Add New Contact</a>
                                </div>
                              </div>
                            </div>


                              <div class="row-fluid">
                                <div class="col-md-7 col-sm-12 col-xs-12 no-pad-all">
                                  <!-- lists of people online container start -->
                                  <div class="contact-details-container-main">
                                  <div class="contact-details-container">

                                    <ul class="contact-details-list">
                                      <!-- Dynamic content -->
                                    </ul>
                                    <div class="clearfix"></div>
                                  </div>
                                  </div>

                                </div><!-- lists of people online container end -->
                                <!-- <div class="clearfix"></div> -->
                                <div class="col-md-5  col-sm-12 col-xs-12 no-pad-all removeOverflow">
                                  <!-- start .profile-details -->
                                  <div class="profile-details removeOverflow" style=""> 

                                    <dl class="profile-details__details" id="edit-form" style="display:none;position:relative">
                                      <a href="javascript:;" onclick="addressbook.closeEditForm();return false;" style="position: absolute;right: -8px;font-size: 13px;top:-11px;"><i class="fa fa-times"></i></a>
                                      <dt class="editFormContactTitle"></dt>
                                      <dd>
                                        <span class="profile-details-details__label" style="font-size:12px;margin-bottom:5px">Name</span>
                                        <input maxlength="25" type="text" name="name" style="height:38px;margin-bottom: 15px;" class="editFormContactName col-xs-12 col-sm-12 col-lg-12 col-md-12">
                                      </dd>
                                      <dd>
                                        <span class="profile-details-details__label" style="font-size:12px;margin-bottom:5px">E-mail / Contact Number</span>
                                        <input maxlength="50" type="text" name="number" style="height: 38px;margin-bottom: 15px;" class="editFormContactNum col-xs-12 col-sm-12 col-lg-12 col-md-12">
                                      </dd>
                                      <dd>
                                        <div class="clearfix"></div>
                                        <br>
                                        <input type="hidden" name="id" class="editFormContactId">
                                        <input type="hidden" name="id" class="editFormContactMode">
                                        <a href="javascript:;" style="margin:0 auto;display:block;width:33%" onclick="addressbook.save();return false;" class="btn btn-warning btn-md"><i class="fa fa-save"></i> Save</a>
                                      </dd>
                                    </dl>
                                  </div><!-- end .profile-details -->
                                </div>
                              </div>
                        </div>
                      </div>
                      <!-- footer -->
                      <div class="footer"><img class="footer-image" src="<?php echo $GLOBALS['linkPath']?>images/smsgloballogo_.png"></div>
                      <!-- footer -->
                      <!-- content here Ends -->
                      <div class="clearfix"></div>
                  </div><!--End #main-content .main-content -->
                </div><!--End #main-content -->
              </div>
            </div>
        </div>
    </div>    
    <!-- MODALS STARTS HERE -->
    <?php include 'controlpanel.php';?>
    <!-- MODALS ENDS HERE -->
    <?php include 'reload.php'; ?>
    <?php include '../m/inetrelated.php'; ?>
    <?php $mobileSiteShow = true?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery-ui.min.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/js/bootstrap.min.js"></script>  
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/jquery.bpopup.min.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>vendors/cropbox.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>js/main.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>js/jquery.base64.js"></script>
    
    <?php if(isset($mobileSiteShow) &&  $mobileSiteShow === true):?>
        <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
    <?php else:?>
        <div class="mobile-browser-tablet-detect__footer">
            <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
        </div>
    <?php endif;?>

  <?php include "loading.php"; ?>
    
    <?php include "dfoot.php"; ?>
    <?php include 'funcjs.dev.php';?>



    <div class="contact-form" style="display:none">
      <div class="panel">
        <input type="text">
        <input type="text">
        <input type="text">
        <input type="text">
      </div>
    </div>
    <script>
      addressbook.get(true);

      $(document).on('click','.mailboxCheckBox-selector',function(){
        if(this.checked == true){
          $('.mailboxCheckBox').each(function(){
            if( this.checked == true ){ this.checked = false; } else { this.checked = true; }
          });
        }else{
          $('.mailboxCheckBox').each(function(){ this.checked = false;});
        }
      });
    </script>
  </body>
</html>
<?php include "../m/foot.php"; ?>