<?php
	/*
    Document   : globals.php
    Author     : Patrick
	*/
	
	if (isset($ishome)) {} else {
		$ishome = false;	
	}
	if (isset($isserv)) {} else {
		$isserv = false;	
	}
	
	//CHECK IF LOGGED-IN
	session_start();
	
	header('Connection: close');
	
	if ( !function_exists('json_decode') ){
		function json_decode($content, $assoc=false){
					require_once 'json_service.php';
					if ( $assoc ){
						$json = new Services_JSON(SERVICES_JSON_LOOSE_TYPE);
			} else {
						$json = new Services_JSON;
					}
			return $json->decode($content);
		}
	}
	
	if ( !function_exists('json_encode') ){
		function json_encode($content){
					require_once 'json_service.php';
					$json = new Services_JSON;
				   
			return $json->encode($content);
		}
	}
	
	$loggedin = (isset($_SESSION['islogged'])?$_SESSION['islogged']:"NO");
	if ($loggedin == "YES") {
		$islogged = true;
	} else {
		$islogged = false;
	}
	//CHECK IF LOGGED-IN
	
	$localIP = "10.1.5.1";
	
	$GLOBALS['isprod'] = true;
	if ($GLOBALS['isprod']) {
		$GLOBALS['fileloc'] = "/mnt/";
		$GLOBALS['plugFilePath'] = "/crewmailfiles";
		$GLOBALS['passPath'] = "/etc/";
		$GLOBALS['versionPath'] = "/www/version.txt";
		$GLOBALS['versionConf'] = "/www/vesconf.txt";
		$GLOBALS['ddns'] = "/www/ddns";
		$GLOBALS['localStorage'] = "/www/localstore/";
		$GLOBALS['LOCALSERVER'] = "http://" .(($_SERVER['SERVER_ADDR'] == "::1")?"localhost":$_SERVER['SERVER_ADDR']) . "/cgi-bin/m/serv.php";
		$GLOBALS['INETSTATUPDATE'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/icheck.php";
		$GLOBALS['dnslist'] = "/www/dnslist.txt";
		$GLOBALS['cccSet'] = "/www/cccSet.txt";
		$GLOBALS['dnxlist'] = "/www/dnx.txt";
		$GLOBALS['dnxpremote'] = "/www/dnxpremote.txt";
		$GLOBALS['defaultprox'] = "/www/defprox.txt";
		$GLOBALS['defaultimdomains'] = "/www/imdomains.txt";
	} else {
		$GLOBALS['fileloc'] = "./files/"; //"/mnt/";
		$GLOBALS['plugFilePath'] = "./crewmailfiles";
		$GLOBALS['passPath'] = "./etc/";
		$GLOBALS['versionPath'] = "../version.txt";
		$GLOBALS['versionConf'] = "../vesconf.txt";
		$GLOBALS['ddns'] = "../ddns.txt";
		$GLOBALS['localStorage'] = "../../../../v8Dev/localstore/";
		$GLOBALS['LOCALSERVER'] = "../../../../v8Dev/m/serv.php";
		$GLOBALS['INETSTATUPDATE'] = "http://" . $localIP . "/cgi-bin/icheck.php";
		$GLOBALS['dnslist'] = "../dnslist.txt";
		$GLOBALS['cccSet'] = "../cccSet.txt";
		$GLOBALS['dnxlist'] = "../dnx.txt";
		$GLOBALS['dnxpremote'] = "../dnxpremote.txt";
		$GLOBALS['defaultprox'] = "../defprox.txt";
		$GLOBALS['defaultimdomains'] = "../imdomains.txt";
		
		$ishome= true;
	}
	
	function getPrevLAN() {
		$ret = ($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']; // $_SERVER['SERVER_ADDR'];
		
		$arr_lan = explode(".", $ret);
		if (count($arr_lan) > 3) {
			$ret = $arr_lan[0] . "." . $arr_lan[1] . "." . $arr_lan[2] . ".0";
		}
		
		return $ret;
	}
	
	function getPrevDNS() {
		/*$iniFile = $GLOBALS['ddns'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		return $filecontent;*/
		
		$ret = "";
		
		$durl = "http://" . (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']) . "/cgi-bin/autodns?GET_DNS1";
		$postData = array('GET_DNS1' => "");
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){
		} else {
			$response = str_replace("<pre>", "", $response);
			$response = str_replace("</pre>", "", $response);
			$response = str_replace("'", "", $response);
			$response = str_replace("'", "", $response);
			$ret = $response;
		}
		
		if (strlen(trim($ret)) == 0) {
			$ret = "8.8.8.8";
		}
		
		return trim($ret);
	}
	
	function getPrevDNS2() {
		$ret = "";
		
		$durl = "http://" . (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']) . "/cgi-bin/autodns?GET_DNS2";
		$postData = array('GET_DNS2' => "");
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){
		} else {
			$response = str_replace("<pre>", "", $response);
			$response = str_replace("</pre>", "", $response);
			$response = str_replace("'", "", $response);
			$response = str_replace("'", "", $response);
			$ret = $response;
		}
		
		if (strlen(trim($ret)) == 0) {
			$ret = "8.8.4.4";
		}
		
		return trim($ret);
	}
	
	function getPrevProxy() {
		$ret = "";
		
		$durl = "http://" . (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']) . "/cgi-bin/proxy?GET_PROXY";
		$postData = array('GET_PROXY' => "");
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){
		} else {
			$response = str_replace("<pre>", "", $response);
			$response = str_replace("</pre>", "", $response);
			$response = str_replace("'", "", $response);
			$response = str_replace("'", "", $response);
			$ret = $response;
		}
		
		return $ret;
	}
	
	function checkServerConnection($jsonEncodedContent, $url, $iplist) {
		$ret = "";
		
		if (strlen($_SESSION['SERVERURLFOUND']) > 5) {
			$ret = $_SESSION['SERVERURLFOUND'];
		} else {
		
			$arr_iplist = explode(",", $iplist);
			
			$retries = 3; $connSuccess = false;
			for ($ii=0; $ii<$retries; $ii++) {
			
				for ($i=0; $i<count($arr_iplist); $i++) {
					$durl = str_replace("[CHANGEIP]", $arr_iplist[$i], $url) . "api/lib/sschk.php";
					
					$context = stream_context_create(array(
						'http' => array(
							'header'  => "Content-Type: application/x-www-form-urlencoded",
							'method'  => 'POST',
							'content' => http_build_query($jsonEncodedContent)
						)
					));
					
					$response = file_get_contents($durl, false, $context);
					if ($response === FALSE){
					} else {
						if (($response == "1") || ($response == 1)) {
							$ret = $arr_iplist[$i];
							$connSuccess = true;
							break;
						}
					}
				}
				
				if ($connSuccess) {
					//TELL SERVER THERE'S INTERNET
					internetStatusUpdate('1');
					break;
				}
				if ($ii >= ($retries-1)) {
					//TELL SERVER THERE'S NO INTERNET
					internetStatusUpdate('0');
				}
			
			}
		
		}
		
		return $ret;
	}
	
	function internetStatusUpdate($stat) {
		$durl = $GLOBALS['INETSTATUPDATE'] . "?status=" . $stat;
		$postData = array('status' => $stat);
					
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){} else {}
	}
	
	function getUIVersion() {
		$data = file($GLOBALS['versionPath']);
		$out = array();
		foreach($data as $line) {
			$addln = str_ireplace("DATE:", "", trim($line));
			$addln = str_ireplace("VERSION:", "", trim($addln));
			$addln = str_ireplace("PARTNER:", "", trim($addln));
			$addln = str_ireplace("CHATVERSION:", "", trim($addln));
			$addln = str_ireplace("SSIP:", "", trim($addln));
			$addln = str_ireplace("CIP:", "", trim($addln));
			if (strpos($line, "DATE:") !== false) {
				 $out[0] = trim( $addln );
			} else if (strpos($line, "VERSION:") !== false) {
				 $out[1] = trim( $addln );
			} else if (strpos($line, "PARTNER:") !== false) {
				 $out[2] = trim( $addln );
			} else if (strpos($line, "CHATVERSION:") !== false) {
				 $out[3] = trim( $addln );
			} else if (strpos($line, "SSIP:") !== false) {
				 $out[4] = trim( $addln );
			} else if (strpos($line, "CIP:") !== false) {
				 $out[5] = trim( $addln );
			}
		} 
		
		return $out;
	}
	
	function getDNSList() {
		$iniFile = $GLOBALS['dnslist'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		if (strlen($filecontent) == 0) {
			$filecontent = "Cobham sailor:192.168.0.1|JRC:192.168.128.100|Addvalue Skipper 150/Satlink 250:192.168.1.35|Furuno Felcom 500:192.168.1.1";
		}
		
		return $filecontent;
	}
	
	function getDNXProxy() {
		$iniFile = $GLOBALS['dnxlist'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		if (strlen($filecontent) == 0) {
			$filecontent = "NX=203.99.233.69|proxy1=93.157.3.169|user1=rick|pass1=kbs-720x|port1=12025|proxy2=|user2=|pass2=|port2=";
		}
		
		return $filecontent;
	}
	
	function getDefaultProxy() {
		$iniFile = $GLOBALS['defaultprox'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		if (strlen($filecontent) == 0) {
			$filecontent = "proxy1=202.85.227.246|user1=guest|pass1=kbs-720x|port1=12025|proxy2=216.129.171.56|user2=guest|pass2=kbs-720x|port2=12025";
		}
		
		return $filecontent;
	}
	
	function getDefaultIMDomains() {
		$iniFile = $GLOBALS['defaultimdomains'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		if (strlen($filecontent) == 0) {
			$filecontent = "";
		} else {
			//REMOVE Markers
			$filecontent = str_replace( "[WC]", ",", $filecontent);
			$filecontent = str_replace( "[WA]", ",", $filecontent);
			$filecontent = str_replace( "[VB]", ",", $filecontent);
			$filecontent = str_replace( "[BM]", ",", $filecontent);
			$filecontent = str_replace( "[LN]", ",", $filecontent);
			$filecontent = str_replace( "[FB]", ",", $filecontent);
			$filecontent = str_replace( "[HC]", ",", $filecontent);
			$filecontent = str_replace( "[SMN]", ",", $filecontent);
			$filecontent = str_replace( "[SKYP]", ",", $filecontent);
			$filecontent = str_replace( "[KAKAO]", ",", $filecontent);
			$filecontent = str_replace( "[SYSDEF]", ",", $filecontent);
		}
		
		return $filecontent;
	}
	
	function startsWith($haystack, $needle) {
		 $length = strlen($needle);
		 return (substr($haystack, 0, $length) === $needle);
	}
	
	function getDefaultIMDomains2() {
		$ret = ""; $filecontent = "";
		
		$durl = $GLOBALS['FWURL'] . "?query";
		$postData = array('GET_PROXY' => "");
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){
		} else {
			$response = str_replace("<pre>", "", $response);
			$response = str_replace("</pre>", "", $response);
			$response = str_replace("'", "", $response);
			$response = str_replace("'", "", $response);
			$ret = $response;
		}
		
		$retArr = explode("|", $ret);
		$AllowAll = startsWith($retArr[0], "A;");
		
		//if ($AllowAll) {} else {
			
			//if (count($retArr) > 1) {
				
				$arrIMs = explode(";", $retArr[1]);
		
				$iniFile = $GLOBALS['defaultimdomains'];
				if (is_file($iniFile)) {
					//Do nothing... File already exists
				} else {
					//Try to create
					$fh = fopen($iniFile, 'w+');
					fclose($fh);
				}
				$filecontent = file_get_contents($iniFile);
				//$tmp = $tmp . "<BR><BR>" . $filecontent;
				
				if (strlen($filecontent) == 0) {
					$filecontent = "";
				} else {
					//REPLACE Markers
					$filecontent = str_replace( "[WC]", "[DEL][WC]", $filecontent);
					$filecontent = str_replace( "[WA]", "[DEL][WA]", $filecontent);
					$filecontent = str_replace( "[VB]", "[DEL][VB]", $filecontent);
					$filecontent = str_replace( "[BM]", "[DEL][BM]", $filecontent);
					$filecontent = str_replace( "[LN]", "[DEL][LN]", $filecontent);
					$filecontent = str_replace( "[FB]", "[DEL][FB]", $filecontent);
					$filecontent = str_replace( "[HC]", "[DEL][HC]", $filecontent);
					$filecontent = str_replace( "[SMN]", "[DEL][SMN]", $filecontent);
					$filecontent = str_replace( "[SKYP]", "[DEL][SKYP]", $filecontent);
					$filecontent = str_replace( "[KAKAO]", "[DEL][KAKAO]", $filecontent);
					$filecontent = str_replace( "[SYSDEF]", "[DEL][SYSDEF]", $filecontent);
					
					$filecontentArr = explode("[DEL]", $filecontent);
					
					$filecontent = "";
					
					if ($AllowAll) {
						
						for ($ii=0; $ii<count($filecontentArr); $ii++) {
							if (startsWith($filecontentArr[$ii], "[SMN]")) {
								if (strpos($filecontent, "[SMN]") === false) {
									$filecontent = $filecontent . $filecontentArr[$ii];
								}
							} else if (startsWith($filecontentArr[$ii], "[SYSDEF]")) {
								if (strpos($filecontent, "[SYSDEF]") === false) {
									$filecontent = $filecontent . $filecontentArr[$ii];
								}
							}
						}
						
					} else {
					
						for ($i=0; $i<count($arrIMs); $i++) {
							for ($ii=0; $ii<count($filecontentArr); $ii++) {
								if (startsWith($filecontentArr[$ii], "[".$arrIMs[$i]."]")) {
									if (strpos($filecontent, "[".$arrIMs[$i]."]") === false) {
										$filecontent = $filecontent . $filecontentArr[$ii];
									}
								} else if (($arrIMs[$i] == "WB") && (startsWith($filecontentArr[$ii], "[SMN]"))) {
									if (strpos($filecontent, "[SMN]") === false) {
										$filecontent = $filecontent . $filecontentArr[$ii];
									}
								} else if (startsWith($filecontentArr[$ii], "[SYSDEF]")) {
									if (strpos($filecontent, "[SYSDEF]") === false) {
										$filecontent = $filecontent . $filecontentArr[$ii];
									}
								}
							}
						}

					}
					
					//REMOVE Markers
					$filecontent = str_replace( "[WC]", ",", $filecontent);
					$filecontent = str_replace( "[WA]", ",", $filecontent);
					$filecontent = str_replace( "[VB]", ",", $filecontent);
					$filecontent = str_replace( "[BM]", ",", $filecontent);
					$filecontent = str_replace( "[LN]", ",", $filecontent);
					$filecontent = str_replace( "[FB]", ",", $filecontent);
					$filecontent = str_replace( "[HC]", ",", $filecontent);
					$filecontent = str_replace( "[SMN]", ",", $filecontent);
					$filecontent = str_replace( "[SKYP]", ",", $filecontent);
					$filecontent = str_replace( "[KAKAO]", ",", $filecontent);
					$filecontent = str_replace( "[SYSDEF]", ",", $filecontent);
				}
			
			//}
		
		//}
		
		return $filecontent;
	}
	
	function getCCCSetting() {
		$iniFile = $GLOBALS['cccSet'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		if (strlen($filecontent) == 0) {
			$filecontent = "1";
		}
		
		return $filecontent;
	}
	
	function setCCCSetting($stat) {
		$iniFile = $GLOBALS['cccSet'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		file_put_contents($iniFile,$stat);
	}
	
	$out = getUIVersion();
	$isself = basename($_SERVER['PHP_SELF']);
	
	$GLOBALS['dhost'] = "serv.php";
	$GLOBALS['dirlist'] = "dirlist.php";
	$GLOBALS['uploaddir'] = $GLOBALS['fileloc']; //"./files/";
	//$GLOBALS['SERVERURL'] = "http://v8amsterdam.crewmailonline.com:10990/smsglobal/";
	//$GLOBALS['SERVERURL'] = "http://" . $out[4] . ":10990/smsglobal/";
	$GLOBALS['SERVERURL'] = "http://[CHANGEIP]:10990/smsglobal/";
	$GLOBALS['SSIP'] = $out[4];
	$GLOBALS['MACADDURL'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/getipmac.php"; //"getipmac.php";
	$GLOBALS['SHORESUPPORT'] = $GLOBALS['SERVERURL'] . "api/lib/vmngr/vm.php";
	//"http://support.smscrewmail.net:10990/vmngr/vm.php";
	if ($GLOBALS['isprod']) {
		$GLOBALS['FWURL'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/cfw";
		$GLOBALS['CPBPURL'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/allowip";
		$GLOBALS['WANURL'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/network";
		$GLOBALS['RPNMEA'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/nmea";
		$GLOBALS['RPGPS'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/tracking";
		$GLOBALS['RPVOIP'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/voip";
		$GLOBALS['RPREMOTE'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/rssh";
	} else {
		$GLOBALS['FWURL'] = "http://" . $localIP . "/cgi-bin/cfw";
		$GLOBALS['CPBPURL'] = "http://" . $localIP . "/cgi-bin/allowip";
		$GLOBALS['WANURL'] = "http://" . $localIP . "/cgi-bin/network";
		$GLOBALS['RPNMEA'] = "http://" . $localIP . "/cgi-bin/nmea";
		$GLOBALS['RPGPS'] = "http://" . $localIP . "/cgi-bin/tracking";
		$GLOBALS['RPVOIP'] = "http://" . $localIP . "/cgi-bin/voip";
		$GLOBALS['RPREMOTE'] = "http://" . $localIP . "/cgi-bin/rssh";
	}
	
	if ($ishome) {$islogged = true;}
	if ($islogged) {
		
		function getMacAdd() {
			$macid = "";
			$ctx = stream_context_create(array('http' => array('timeout' => 5))); 
			$MACADDURL = file_get_contents($GLOBALS['MACADDURL'], 0, $ctx); 
			$MACADDURL = str_ireplace("<pre>", "", $MACADDURL);
			$MACADDURL = str_ireplace("</pre>", "", $MACADDURL);
			$MACADDURL = trim($MACADDURL);
			$arrMacs = explode("\n", $MACADDURL);
			if (count($arrMacs) == 0) {
				$arrMacs = explode("\r", $MACADDURL);
			}
			for ($i=0; $i<count($arrMacs); $i++) {
				$pos = strpos($arrMacs[$i], "mac=");
				if ($pos === false) {
				} else {
					$macid = str_ireplace("mac=", "" , $arrMacs[$i]);
					$macid = trim($macid);
					break;
				}
			}
			
			//if ($GLOBALS['isprod']) {} else {$macid = "44:A8:42:05:F3:B7";}
			//if ($GLOBALS['isprod']) {} else {$macid = "C2:56:27:67:98:77";} //v8amsterdam
			//if ($GLOBALS['isprod']) {} else {$macid = "14:91:82:BB:B5:68";} //BU2
			//if ($GLOBALS['isprod']) {} else {$macid = "14:91:82:BA:FD:E4";} //ACS Patrick //756060			
			if ($GLOBALS['isprod']) {} else {$macid = "14:91:82:BB:2C:A3";} //ACS Patrick Dev 2 //188674
			return $macid;
		}
		
		$macid = "";
		
		if ($isserv == false) {
			$macid = getMacAdd();
			if (strlen($macid) == 0) {
				$macid = getMacAdd();
				if (strlen($macid) == 0) {
					//$macid = "BB-22-33-44-AA-BC";
					//$macid = "94-10-3E-91-FE-95";
					$macid = "";
				}
			}
			
			$macid = str_ireplace("-", ":", $macid);
		}
		
	} else {
		//header("Location: vesmngr.php");
		header("Location: dashboard.php");
		
		$_SESSION['islogged'] = "";
		session_destroy();
		session_write_close();
		exit;
	}
	
	function checkNUpdateNDXnProxy() {
		if (is_file($GLOBALS['dnslist']) && is_file($GLOBALS['dnxlist']) && is_file($GLOBALS['dnxpremote']) && is_file($GLOBALS['defaultprox']) && is_file($GLOBALS['defaultimdomains'])) {
			//All files are present, continue
		} else {
			
			$iniFile = $GLOBALS['dnxpremote'];
			if (is_file($iniFile)) {
				//Do nothing... File already exists
			} else {
				//Try to create
				$fh = fopen($iniFile, 'w+');
				fclose($fh);
			}
			$filecontent = file_get_contents($iniFile);
			//PARSE FILE!!!
			$filecontent = explode("[DSEP]", $filecontent);
			
			if (date("Ymd") > $filecontent[0]) { //Refetch once daily
				unlink($GLOBALS['dnslist']);
				unlink($GLOBALS['dnxlist']);
				unlink($GLOBALS['dnxpremote']);
				unlink($GLOBALS['defaultprox']);
				unlink($GLOBALS['defaultimdomains']);
				
				$jsonEncodedContent = array('act' => "1");
				$durl = $GLOBALS['SERVERURL'] . "api/lib/ssapi.php";
						
				$context = stream_context_create(array(
					'http' => array(
						'header'  => "Content-Type: application/x-www-form-urlencoded",
						'method'  => 'POST',
						'content' => http_build_query($jsonEncodedContent)
					)
				));
				
				$response = file_get_contents($durl, false, $context);
				if ($response === FALSE){
				} else {
					$tmpArr = explode("[DEL]", $response);
					savetoFile($GLOBALS['dnxpremote'], date("Ymd") . "[DSEP]" . $response);
					savetoFile($GLOBALS['dnslist'], $tmpArr[0]);
					savetoFile($GLOBALS['dnxlist'], $tmpArr[1]);
					savetoFile($GLOBALS['defaultprox'], $tmpArr[2]);
					savetoFile($GLOBALS['defaultimdomains'], $tmpArr[3]);
				}
			}
			
		}
	}
	
	function getPrevBusLan() {
		$ret = "";
		
		$durl = "http://" . (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']) . "/cgi-bin/buslan?GET";
		$postData = array('GET_DNS1' => "");
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){
		} else {
			$response = str_replace("<pre>", "", $response);
			$response = str_replace("</pre>", "", $response);
			$response = str_replace("'", "", $response);
			$response = str_replace("'", "", $response);
			$ret = $response;
		}
		
		return trim($ret);
	}
	
	function getPrevBusLanDHCP() {
		$ret = "";
		
		$durl = "http://" . (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']) . "/cgi-bin/buslan?GET_DHCP";
		$postData = array('GET_DNS1' => "");
		$context = stream_context_create(array(
			'http' => array(
				'header'  => "Content-Type: application/x-www-form-urlencoded",
				'method'  => 'GET',
				'content' => http_build_query($postData)
			)
		));
		
		$response = file_get_contents($durl, false, $context);
		if ($response === FALSE){
		} else {
			$response = str_replace("<pre>", "", $response);
			$response = str_replace("</pre>", "", $response);
			$response = str_replace("'", "", $response);
			$response = str_replace("'", "", $response);
			$ret = $response;
		}
		
		return trim($ret);
	}
	
	function savetoFile($fname, $msg) {
		$iniFile = $fname;
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		file_put_contents($iniFile,$msg);
	}
	
	$postData = array('act' => "0");
	$_SESSION['SERVERURLFOUND'] = checkServerConnection($postData, $GLOBALS['SERVERURL'], $GLOBALS['SSIP']);
	$GLOBALS['SERVERURL'] = "http://" . $_SESSION['SERVERURLFOUND'] . ":10990/smsglobal/";
	
	session_write_close();
	
	if (($isself == "mmenu.php") || ($isself == "dns.php")) {
		$GLOBALS['prevdns'] = getPrevDNS();
		$GLOBALS['prevdns2'] = getPrevDNS2();
		$GLOBALS['prevProxy'] = getPrevProxy();
		//$GLOBALS['DNXProxy'] = getDNXProxy();
	}
	
	if (($isself == "mmenu.php") || ($isself == "lan.php")) {
		$GLOBALS['prevlan'] = getPrevLAN();
	}
	
	checkNUpdateNDXnProxy();
?>