#!/usr/bin/php-cgi
<?php
	include("topinsert.php");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title><?php echo $dTitle; ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['vendorsPath']; ?>vendors/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['vendorsPath']; ?>vendors/fontawesome/css/font-awesome.min.css">
    <?php include $GLOBALS['assetsPath']."css/style.php"; ?>
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1"> -->
	<meta name='viewport' content='content="width=device-width, maximum-scale=1.0, minimum-scale=1.0, initial-scale=1.0' />
    
<?php include "funcjs.php"; ?>
</head>
<body>
		<div id="wrapper" style="background-color:#E8E9EA">
			<!-- wrapper -->

			<!-- Sidebar -->
			<?php include('sidebar.php'); ?>
        <!-- /#sidebar-wrapper -->

        <div id="page-content-wrapper">
				<!-- Header -->
				<nav>
					<ul class="navigation">
						<li class="nav-open">
							<a href="" id="sidemenu-open"><span class="glyphicon glyphicon-menu-hamburger"></span></a>
						</li>
						<li  class="nav-title">
							User Control panel
						</li>
						<li  class="nav-search">
							<a href="" id="search-open"><span class="glyphicon glyphicon-search"></span></a>
						</li>
					</ul>
				</nav>
				<!-- Header -->
				
				<div class="clearfix"></div>
				<!-- COntent/container -->
				<div class="row-fluid">
					<div class="search-container">
						<input>
					</div>
					<div class="js-auto-height">
					<div class="content-wrapper content-wrapper--gray  content-wrapper--padded-sm-tb">

						<div class="credit-count-container" id="messagecreditdiv">
							<label>Message Credit</label>
						 	<br>
						 	<input class="credit-count" id="credit-count" value="0">
							<br>
						</div>
                        
                        <div class="credit-count-container" id="datacreditdiv" style="display:none"> <!-- style="display:none"-->
							<label>Data Credit</label>
						 	<br>
						 	<input class="credit-count" id="credit-count-kb" value="0 KB">
							<br><!--formatByteSize-->
						</div>
                        
                        <div class="credit-count-container">
                        <BR>
							<a href="javascript:;" class="cbtn cbtn-orange" onClick="showReloadPop();"><i class="fa fa-plus"></i> Add Credits</a>
						</div>
						

					</div>
					<div class="content-wrapper content-wrapper--white content-wrapper--padded-sm">
						<h1 class="information"><i class="fa fa-info-circle"></i>  Information</h1>

						<p id="msgcredtxt"><strong>Message Credit</strong> is an SMS message with 160 characters or less and an E-mail message with XXXX characters or less.</p>
                        
                        <p id="dcredtxt" style="display:none"><strong>Data Credit</strong> is the amount of data in KB or MB used for low data Chat messages and accessing the Internet.</p>
                        <!--Data Credit is the amount of data in KB or MB used to send or receive an E-mail message, send or receive an SMS message, send or receive low data Chat messages and accessing the Internet.-->

					</div>
					<!-- <div class="search-container">
						<input>
					</div> -->

					</div>
					<div class="clearfix"></div>
				</div>
				<!-- COntent/container -->


				<!-- Control -->
				<div class="row-fluid">
					<div class="control">
						<div class="control-credit-count">
							<span id="d_msgcounter" class="control-credit-count__remaining"></span>
							<span class="control-credit-count__text">Credit Counter&nbsp;<span id="disp_credit_cnt" style="font-weight: bold;"><strong>0</strong></span></span>
							<span class="control-credit-count__count" onClick="showReloadPop();"><i class="fa fa-plus"></i> </span>
						</div>
						<ul class="control-container">
							<li><a href="userprofile.php"><i class="fa fa-pencil"></i></a></li>
							<li><a href=""><i class="fa fa-question-circle"></i></a></li>
							<li><a href=""><i class="fa fa-cog"></i></a></li>
                            <li><a href="leave.php"><img src="<?php echo $GLOBALS['vendorsPath']; ?>css/img/boat.png" class="image-icons"></a></li>
						</ul>
					</div>
				</div>
				<!-- Control -->

			</div><!--#page content wrapper -->
		</div><!--#Wrapper -->

<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/jquery/jquery.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/jquery/jquery.mobile.custom.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/main.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/nav.js"></script>

<?php include "loading.php"; ?>
<script>
showLoadingMessageDisp("Loading... please wait.");
</script>

</body>
</html>
<script>
function getDataCredit() {
	var noerror = true;
	var uid = '<?php echo (isset($_SESSION['uid'])?$_SESSION['uid']:""); ?>';
	var dhost = 'http://93.157.3.168:10990/radius/getusage.php';
	
	var kb = 0;
	
	var requestapi;
	requestapi = $.ajax({
		url: dhost,
		type: "get",
		data: { userid: uid<?php echo urladdparams(); ?>+""+getSession() },
		timeout: 30000
	});
	
	requestapi.done(function (response, textStatus, jqXHR){
		if (noerror) {
			
			try {
				var res = response.split(",");
				
				/*
				0 - browse_allowance - Allowance
				1 - data_credit - Paid credit
				2 - accumulated_kb - Current kb used
				3 - browse_time - Allowance
				4 - accumulated_time - Current time used
				*/
				
				kb = parseInt(res[1]);
			
			} catch (e) {}
			
			document.getElementById('credit-count-kb').value = formatByteSize(kb);
			
		}
	});

	requestapi.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
	});

	requestapi.always(function () {
		requestapi = null;
	});
}

if (parseInt(vconfig_server_credittype) == 1) {
	getDataCredit();
}
</script>
<?php include "foot.php"; ?>