<?php
	if($linksys === true){
		$GLOBALS['versionConf'] = "/www/vesconf.txt";
		$GLOBALS['versionPath'] = "/www/version.txt";
	} else {
		$GLOBALS['versionConf'] = "../../vesconf.txt";
		$GLOBALS['versionPath'] = "../../version.txt";
	}
	function getVesselVersion_FC() {
		$iniFile = $GLOBALS['versionConf'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		//PARSE FILE!!!
		$sserv = $filecontent;
		
		return $sserv;
	}
	
	$GLOBALS['webbrowsing'] = false;
	$GLOBALS['opn_fb'] = false;
	$GLOBALS['opn_skyp'] = false;
	$GLOBALS['opn_kakao'] = false;
	$GLOBALS['opn_line'] = false;
	$GLOBALS['opn_wechat'] = false;
	$GLOBALS['opn_whatsapp'] = false;
	$GLOBALS['opn_viber'] = false;
	$GLOBALS['opn_bbm'] = false;
	$GLOBALS['opn_hic'] = false;
	$GLOBALS['opn_smn'] = false;
	function parseVesselVersion_FC($msg) {
		$msg = str_replace("[", "", $msg);
		$msg = str_replace("{", "", $msg);
		$msg = str_replace("}", "", $msg);
		$msg = str_replace("]", "", $msg);
		$msg = str_replace("]", "", $msg);
		$msg = str_replace('"', '', $msg);
		
		$arr_ret = array();
		if (strlen($msg) > 0) {
			$arr_json = explode(",", $msg);
		
			for ($i=0; $i<count($arr_json); $i++) {
				$arr_inner = explode(":", $arr_json[$i], 2);
				switch($arr_inner[0]) {
					case 'vessel_macaddress':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'vessel_portlist':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'server_webtime':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'server_websize':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'server_webismonthlyusagekb':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'server_webismonthlyusagetime':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'vessel_webshipserverversion':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
					case 'vessel_regstatus':
						$arr_ret[$arr_inner[0]] = $arr_inner[1];
						break;
				}
			}
		
		} else {
			
			$arr_ret['vessel_webshipserverversion'] = "";
			$arr_ret['vessel_regstatus'] = "";
			
		}
		
		return $arr_ret;
	}
	
	function processConf_FC($response) {
		//$response = 'B;T3306;T1024;T556;T1000:5000;T8080;T5223;T5228;T5222|CUST;CUST;CUST;CUST;WC;VB;WA;WA;';
		//$response = 'B;T1231;T1232;T12312;T5243;T9785;T5223;T5228;T5222;T4244;T5242;I192.168.1.1;I192.168.1.2;I192.168.1.3/24|CUST;CUST;CUST;VB;VB;VB;VB;VB;VB;VB;CUSTIP;CUSTIP;CUSTIP';
		
		$res_arr = explode("|", $response);
		$res = explode(";", $res_arr[0]);
		$resALIAS = "";;
		if (count($res_arr) > 1) {
			$resALIAS = explode(";", $res_arr[1]);
		} else {
			$resALIAS = array();
			for ($i=0;$i<count($res)-1;$i++) {
				$resALIAS[$i] = "CUST";
			}
		}
		
		if (count($res_arr) > 2) {
			$res_arr[2] = $res_arr[2].str_replace("iptables", "");
			$res_arr[2] = $res_arr[2].str_replace("customIp", "");
			$res_arr[2] = trim($res_arr[2]);
			$res_arr[2] = trim($res_arr[2]);
			$GLOBALS['webbrowsing'] = ($res_arr[2]=="WEBB"?true:false);
		} else {
			$GLOBALS['webbrowsing'] = false;
		}
		$act = $res[0];
		$ext = ""; $extips = "";
		for ($i=1;$i<count($res);$i++) {
			if ($act == "B") {
				if ($resALIAS[$i-1] == "WC") {
					$GLOBALS['opn_wechat'] = true;
				} else if ($resALIAS[$i-1] == "WA") {
					$GLOBALS['opn_whatsapp'] = true;
				} else if ($resALIAS[$i-1] == "VB") {
					$GLOBALS['opn_viber'] = true;
				} else if ($resALIAS[$i-1] == "BM") {
					$GLOBALS['opn_bbm'] = true;
				} else if ($resALIAS[$i-1] == "HC") {
					$GLOBALS['opn_hic'] = true;
				} else if ($resALIAS[$i-1] == "SMN") {
					$GLOBALS['opn_smn'] = true;
				} else if ($resALIAS[$i-1] == "FB") {
					$GLOBALS['opn_fb'] = true;
				} else if ($resALIAS[$i-1] == "LN") {
					$GLOBALS['opn_line'] = true;
				} else if ($resALIAS[$i-1] == "SKYP") {
					$GLOBALS['opn_skyp'] = true;
				} else if ($resALIAS[$i-1] == "KAKAO") {
					$GLOBALS['opn_kakao'] = true;
				}
			}
		}
		if ($act == "A") {
			$GLOBALS['webbrowsing'] = true;
		}
	}
	
	$vesver = getVesselVersion_FC();
	$GLOBALS['arr_vesver'] = parseVesselVersion_FC($vesver);
	//$arr_vesver = parseVesselVersion_FC($vesver);
	processConf_FC($GLOBALS['arr_vesver']['vessel_portlist']);
	
	function formatSizeUnits_FC($bytes) {
		$bytes = $bytes * 1024;
		
		if ($bytes >= 1073741824)
		{
			$bytes = number_format($bytes / 1073741824, 2) . ' GB';
		}
		elseif ($bytes >= 1048576)
		{
			$bytes = number_format($bytes / 1048576, 2) . ' MB';
		}
		elseif ($bytes >= 1024)
		{
			$bytes = number_format($bytes / 1024, 2) . ' KB';
		}
		elseif ($bytes > 1)
		{
			$bytes = $bytes . ' B';
		}
		elseif ($bytes == 1)
		{
			$bytes = $bytes . ' B';
		}
		else
		{
			$bytes = '0 B';
		}

		$bytes = str_replace(".00", "", $bytes);

		return $bytes;
	}
	
	$ismonthly = (($GLOBALS['arr_vesver']['server_webismonthlyusagekb']=="1")?"month":"day");
	$data = '<span id="vda_data">'. formatSizeUnits_FC($GLOBALS['arr_vesver']['server_websize']) . '</span>&nbsp;per&nbsp;<span id="vda_month">' . $ismonthly . '</span>';
	
	$ismonthlyTime = ((($GLOBALS['arr_vesver']['server_webismonthlyusagetime']=="1") || ($GLOBALS['arr_vesver']['server_webismonthlyusagetime']==1))?"month":"day");
	if (($GLOBALS['arr_vesver']['server_webtime']=="0") || ($GLOBALS['arr_vesver']['server_webtime']==0)) {
		$time = "unlimited";
	} else {
		$time = '<span id="vda_data">'. $GLOBALS['arr_vesver']['server_webtime'] . ' min</span>&nbsp;per&nbsp;<span id="vda_month">' . $ismonthlyTime . '</span>';
	}
?>