
input[type="checkbox"].checkbox-for-message {
    display:none;
}
input[type="checkbox"].checkbox-for-message + label span {
    display:inline-block;
    width:25px;
    height:25px;
    margin:-1px 4px 0 0;
    vertical-align:middle;
    cursor:pointer;
    border:1px solid #D5D5D5;
    position:absolute;
}

ul.message-preview li input[type="checkbox"].checkbox-for-message + label span{
  top:25px;
}
input[type="checkbox"].checkbox-for-message:checked + label span:after {
    font-family: 'FontAwesome';
    content: "\f00c";
    font-size: 17px;
    margin-left: 4px;
    color: #fff;
}

input[type="checkbox"].checkbox-for-message:checked + label span{
    background: #464C4F;
}


.cbtn{
	display: inline-block;
	margin: 0;
	padding:0;
	text-align: center;
	padding:15px 30px;
	border:1px solid transparent;
	border-radius:8px;
}

.cbtn-orange{
	background: #fe9800; /* Old browsers */
	background: -moz-linear-gradient(top,  #fe9800 0%, #fe9800 35%, #e28800 75%, #e28800 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#fe9800), color-stop(35%,#fe9800), color-stop(75%,#e28800), color-stop(100%,#e28800)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #fe9800 0%,#fe9800 35%,#e28800 75%,#e28800 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #fe9800 0%,#fe9800 35%,#e28800 75%,#e28800 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #fe9800 0%,#fe9800 35%,#e28800 75%,#e28800 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #fe9800 0%,#fe9800 35%,#e28800 75%,#e28800 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fe9800', endColorstr='#e28800',GradientType=0 ); /* IE6-9 */
	color:#fff;
	font-size:16px;
	text-transform:uppercase;
}

.credit-count{
    width: 187px;
    padding: 7px 14px;
    height: 54px;
    text-align: center;
    background-color: #D1D1D1;
    outline: #BCBCBC;
    display: inline-block;
    border-radius: 14px;
    border: 1px solid #C1C1C1;
    font-weight: bold;
    font-size: 26px;
}

.internet-info{
    padding: 15px 14px;
    height: 64px;
    text-align: center;
    background-color: #D1D1D1;
    outline: #BCBCBC;
    display: inline-block;
    border-radius: 14px;
    border: 1px solid #C1C1C1;
    font-weight: bold;
    font-size: 26px; 
    color: #333333;
}

.deactivate-btn{
    
      border: 1px solid #C14949;
        padding: 10px 16%;
    text-align: center;
    outline: #BCBCBC;
    display: inline-block;
    border-radius: 14px;
    font-size: 19px; 
    color: #fff;
    background: #D65B5B;
    text-transform: capitalize;
    width:100%;
    min-width:100%
}
.activate-btn{
  border:1px solid #5F9CC3 ;
  background: #76ACCC;

  padding: 10px 14px;
  text-align: center;
  outline: #BCBCBC;
  display: inline-block;
  border-radius: 14px;
  font-size: 19px;
  color: #fff;
  text-transform: capitalize;
   width:100%;
    min-width:100%
}
.activate-btn small{
    text-align: center; 
    display: block;
    font-size: 12px;
}
.selection-btn{
  background: #464B4E;
  border: 1px solid #686C6F;
  padding: 15px 14px;
  height: 58px;
  /* text-align: center; */
  text-indent: 15px;
  outline: #BCBCBC;
  display: inline-block;
  border-radius: 14px;
  font-size: 18px;
  color: #fff;
  text-transform: capitalize;
  /* text-shadow: 2px 2px #4F768E; */
  margin: 20px auto;
  display: block;
  width: 71%;
  font-weight: normal;
}
.selection-btn .fa{
    margin-right: 25px;
}